Subject: bug#54939: 29.0.50; icalendar cannot infer the DTEND from DTSTART + DURATION

From: Paul Eggert <[email-masked]>
Date: Sun, 17 Apr 2022 11:00:38 -0700

> In `icalendar--decode-isodatetime', hours,
> minutes and seconds are set to 0 by default, effectively normalising
> date to datetime. I wonder if there's a function already implemented
> for this that I don't know about yet?

I don't know the answer to your question. That being said, the 
"icalendar--" prefix means this is a private function, so you can change 
it to do what you want, so long as its callers in icalendar.el are 
adjusted accordingly.